Package org.apache.sysds.runtime.io

# Class BinaryBlockSerialization

java.lang.Object
org.apache.sysds.runtime.io.BinaryBlockSerialization

All Implemented Interfaces:
  `org.apache.hadoop.io.serializer.Serialization`

public class BinaryBlockSerialization extends Object implements org.apache.hadoop.io.serializer.Serialization
This custom serialization class can be used via job.set(MRConfigurationNames.IO_SERIALIZATIONS, "org.apache.sysds.runtime.io.BinaryBlockSerialization");

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`BinaryBlockSerialization.MatrixBlockDeserializer`
`static class`
`BinaryBlockSerialization.MatrixBlockSerializer`

## Constructor Summary

Constructors
Constructor
Description
`BinaryBlockSerialization()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(Class arg0)`
`org.apache.hadoop.io.serializer.Deserializer<MatrixBlock>`
`getDeserializer(Class arg0)`
`org.apache.hadoop.io.serializer.Serializer<MatrixBlock>`
`getSerializer(Class arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BinaryBlockSerialization

public BinaryBlockSerialization()

## Method Details

### accept

public boolean accept(Class arg0)

Specified by:
  `accept` in interface `org.apache.hadoop.io.serializer.Serialization`

### getDeserializer

public org.apache.hadoop.io.serializer.Deserializer<MatrixBlock> getDeserializer(Class arg0)

Specified by:
  `getDeserializer` in interface `org.apache.hadoop.io.serializer.Serialization`

### getSerializer

public org.apache.hadoop.io.serializer.Serializer<MatrixBlock> getSerializer(Class arg0)

Specified by:
  `getSerializer` in interface `org.apache.hadoop.io.serializer.Serialization`